This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017261 - mingw-virt-viewer exited during repeated migration with large c/p transfer taking place
mingw-virt-viewer exited during repeated migration with large c/p transfer ta...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity low
: ovirt-4.2.0
: ---
Assigned To: Victor Toso
SPICE QE bug list
:
Depends On: 1418663
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 10:02 EDT by David Jaša
Modified: 2017-07-05 04:07 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1418663 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-10-09 10:02:56 EDT
Description of problem:
I did a back-and-forth migration of a guest with client to guest copy-paste of large image data (30 MP, 50 MP). During one migration cycle, client exited with these messages (empty lines stripped):
C:\Users\shadowman>"c:\Program Files\VirtViewer\bin\remote-viewer.exe" spice://<IP>:5900/
(remote-viewer.exe:1992): GSpice-WARNING **: Warning no automount-inhibiting implementation available
(remote-viewer.exe:1992): GSpice-CRITICAL **: spice_channel_iterate_read: assertion `c->state != SPICE_CHANNEL_STATE_MIGRATING' failed
(remote-viewer.exe:1992): GSpice-CRITICAL **: spice_channel_iterate_read: assertion `c->state != SPICE_CHANNEL_STATE_MIGRATING' failed
(remote-viewer.exe:1992): GSpice-WARNING **: (../../gtk/spice-session.c:1912):spice_session_channel_new: runtime check failed: (s->playback_channel == NULL)
(remote-viewer.exe:1992): GSpice-CRITICAL **: expected SPICE_MSG_MIGRATE_DATA, got 110
(remote-viewer.exe:1992): GSpice-CRITICAL **: spice_channel_iterate_read: assertion `c->state != SPICE_CHANNEL_STATE_MIGRATING' failed
(remote-viewer.exe:1992): GSpice-CRITICAL **: spice_channel_handle_msg: assertion `base_handlers[type] != NULL' failed


Version-Release number of selected component (if applicable):
mingw-virt-viewer-0.5.6-6.el6_64 (32b)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Marc-Andre Lureau 2013-11-07 09:09:58 EST
raising severity, moving to 3.4? It would be nice to try to fix it in RHEL first, I don't think there is windows specific issues here.
Comment 4 David Blechter 2013-11-08 15:17:32 EST
(In reply to Marc-Andre Lureau from comment #3)
> raising severity, moving to 3.4? It would be nice to try to fix it in RHEL
> first, I don't think there is windows specific issues here.

can you add the bug in rhel with rhel 6.6 target, and add depend on it in this bug? 

thanks

moving to 3.4 this one
Comment 5 Marc-Andre Lureau 2013-11-08 15:57:31 EST
(In reply to David Blechter from comment #4)
> (In reply to Marc-Andre Lureau from comment #3)
> > raising severity, moving to 3.4? It would be nice to try to fix it in RHEL
> > first, I don't think there is windows specific issues here.
> 
> can you add the bug in rhel with rhel 6.6 target, and add depend on it in
> this bug? 
> 
ok, but not until we have reproduced on rhel.
Comment 7 Sandro Bonazzola 2015-10-26 08:48:13 EDT
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high
Comment 8 David Blechter 2015-11-23 09:01:15 EST
(In reply to Sandro Bonazzola from comment #7)
> this is an automated message. oVirt 3.6.0 RC3 has been released and GA is
> targeted to next week, Nov 4th 2015.
> Please review this bug and if not a blocker, please postpone to a later
> release.
> All bugs not postponed on GA release will be automatically re-targeted to
> 
> - 3.6.1 if severity >= high
> - 4.0 if severity < high

agree, moving to 4.0
Comment 9 Yaniv Lavi (Dary) 2016-05-09 07:02:02 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.

Note You need to log in before you can comment on or make changes to this bug.